package cn.com.qmth.stmms.ms.core.domain;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 全局参数设置
 */
@Entity
@Table(name = "param_setting")
public class ParamSetting implements Serializable {

    @Id
    @GeneratedValue
    private Long id;

    @NotNull
    private Long workId;

    private Integer packageScan;

    private Integer imageEncrypt;

    private Integer nameRule;

    private Integer paperStage;

    private Integer deviation;

    private Integer autoCallback;

    private Integer majority;

    private Integer cumulativeError;

    private Integer levelShowAllPaper;

    private Integer showPaperCount;

    private Integer roundUp;

    private Integer changeStage;

    private Integer scoreShowAllPaper;

    private Integer isLevelToScore;

    private Integer propDenominator;

    private Integer autoCallbackShowDeviation;

    private Integer showSample;

    private Integer directScore;

    private Integer takeBest;

    private Integer allowTaskOverlay;

    public static ParamSetting init() {
        ParamSetting paramSetting = new ParamSetting();

        // 采集参数
        paramSetting.setPackageScan(0); // 是否整包扫描
        paramSetting.setImageEncrypt(0); // 图片是否加密
        paramSetting.setNameRule(0); // 图片命名规则
        paramSetting.setPaperStage(0); // 试卷档位（已知，未知）

        //分档参数
        paramSetting.setDeviation(4); //仲裁档位差,默认4
        paramSetting.setAutoCallback(0); // 系统自动打回
        paramSetting.setCumulativeError(null); //打回累计误差
        paramSetting.setAutoCallbackShowDeviation(1); // 打回是否显示偏差方向
        paramSetting.setMajority(1); // 是否过半定档
        paramSetting.setTakeBest(1); // 取优原则默认开启
        paramSetting.setLevelShowAllPaper(0); //阅卷员是否显示所有试卷
        paramSetting.setShowPaperCount(1);  //是否显示试卷数量，默认显示1
        paramSetting.setPropDenominator(1); // 档位百分比分母
        paramSetting.setShowSample(1); // 是否显示标准卷
        paramSetting.setAllowTaskOverlay(1); // 是否允许任务数累加 默认1

        // 打分参数
        paramSetting.setRoundUp(1); // 分数处理方式
        paramSetting.setChangeStage(0); // 阅卷员是否显示改档及改档打分
        paramSetting.setScoreShowAllPaper(0); // 阅卷员是否显示所有试卷
        paramSetting.setIsLevelToScore(0); //是否谁分档谁打分，默认0（否）
        paramSetting.setDirectScore(0); // 是否启用直接输分功能
        return paramSetting;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public Integer getPackageScan() {
        return packageScan;
    }

    public void setPackageScan(Integer packageScan) {
        this.packageScan = packageScan;
    }

    public Integer getImageEncrypt() {
        return imageEncrypt;
    }

    public void setImageEncrypt(Integer imageEncrypt) {
        this.imageEncrypt = imageEncrypt;
    }

    public Integer getNameRule() {
        return nameRule;
    }

    public void setNameRule(Integer nameRule) {
        this.nameRule = nameRule;
    }

    public Integer getPaperStage() {
        return paperStage;
    }

    public void setPaperStage(Integer paperStage) {
        this.paperStage = paperStage;
    }

    public Integer getDeviation() {
        return deviation;
    }

    public void setDeviation(Integer deviation) {
        this.deviation = deviation;
    }

    public Integer getAutoCallback() {
        return autoCallback;
    }

    public void setAutoCallback(Integer autoCallback) {
        this.autoCallback = autoCallback;
    }

    public Integer getMajority() {
        return majority;
    }

    public void setMajority(Integer majority) {
        this.majority = majority;
    }

    public Integer getCumulativeError() {
        return cumulativeError;
    }

    public void setCumulativeError(Integer cumulativeError) {
        this.cumulativeError = cumulativeError;
    }

    public Integer getLevelShowAllPaper() {
        return levelShowAllPaper;
    }

    public void setLevelShowAllPaper(Integer levelShowAllPaper) {
        this.levelShowAllPaper = levelShowAllPaper;
    }

    public Integer getShowPaperCount() {
        return showPaperCount;
    }

    public void setShowPaperCount(Integer showPaperCount) {
        this.showPaperCount = showPaperCount;
    }

    public Integer getRoundUp() {
        return roundUp;
    }

    public void setRoundUp(Integer roundUp) {
        this.roundUp = roundUp;
    }

    public Integer getChangeStage() {
        return changeStage;
    }

    public void setChangeStage(Integer changeStage) {
        this.changeStage = changeStage;
    }

    public Integer getScoreShowAllPaper() {
        return scoreShowAllPaper;
    }

    public void setScoreShowAllPaper(Integer scoreShowAllPaper) {
        this.scoreShowAllPaper = scoreShowAllPaper;
    }

    public Integer getIsLevelToScore() {
        return isLevelToScore;
    }

    public void setIsLevelToScore(Integer isLevelToScore) {
        this.isLevelToScore = isLevelToScore;
    }

    public Integer getPropDenominator() {
        return propDenominator;
    }

    public void setPropDenominator(Integer propDenominator) {
        this.propDenominator = propDenominator;
    }

    public Integer getAutoCallbackShowDeviation() {
        return autoCallbackShowDeviation;
    }

    public void setAutoCallbackShowDeviation(Integer autoCallbackShowDeviation) {
        this.autoCallbackShowDeviation = autoCallbackShowDeviation;
    }

    public Integer getShowSample() {
        return showSample;
    }

    public void setShowSample(Integer showSample) {
        this.showSample = showSample;
    }

    public Integer getDirectScore() {
        return directScore;
    }

    public void setDirectScore(Integer directScore) {
        this.directScore = directScore;
    }

    public Integer getTakeBest() {
        return takeBest;
    }

    public void setTakeBest(Integer takeBest) {
        this.takeBest = takeBest;
    }

    public Integer getAllowTaskOverlay() {
        return allowTaskOverlay;
    }

    public void setAllowTaskOverlay(Integer allowTaskOverlay) {
        this.allowTaskOverlay = allowTaskOverlay;
    }
}
